Subject: Re: [PATCH 0/9] PCI: introduce the concept of power sequencing of PCIe devices

From: Lukas Wunner <[email-masked]>
Date: Fri, 19 Jan 2024 17:34:05 +0100

On Fri, Jan 19, 2024 at 12:52:00PM +0100, Bartosz Golaszewski wrote:
> We have two separate issues: one is powering-up a PCI device so that
> it can be detected

Just wondering, I note in really_probe() we configure the pin controller,
active the pm_domain etc before probing a driver.

Would it make sense for the issue you mention above to similarly
amend pci_scan_device() to enable whatever clocks or regulators
are described in the devicetree as providers for the given PCI device?

Thanks,

Lukas